#include <EEPROM.h>

#include <FeliCaPlug.h>
#include <inttypes.h>

FeliCaPlug plug;

/* TT3 Attribute block + NDEF Message with SmartPoster http://www.sony.net */
uint8_t blockData[48] ={0x10,0x08,0x08,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x12,0x00,0x72, 0xd1, 0x02, 0x10, 0x53, 0x70, 0xd1, 0x01, 0x0c, 0x55, 0x01, 0x73, 0x6f, 0x6e, 0x79, 0x2e, 0x6e, 0x65, 0x74, 0x00, 0x00, 0x00, 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00, 0x00};
uint16_t numOfBlocks = 3;

void setup()
{ 
  uint8_t readOnly = 0x00;
  uint8_t dfc[2] = {0xff, 0xe0};
  uint8_t userParam[4] = {0x01, 0x23, 0x45, 0x67};
  
  plug.initPort();
  
  plug.setParam(FELICA_PLUG_MODE_TYPE3, dfc, userParam);
  plug.setLEDPin(FELICA_PLUG_LED_PIN);
  plug.setBlockData(blockData, numOfBlocks, readOnly); 
}

void loop()
{
  plug.doLoop();  
}




